# Interface AbstractForm

interface AbstractForm {
__?: any;
action?: string;
additionalButtons?: AdditionalButton[];
blurb?: string | string[];
class?: string;
errors: any;
fields: (AbstractField | AbstractFieldRepeat)[];
formStyle: string;
id?: string;
isOwner?: boolean;
isWorkflow?: boolean;
labelCols?: number;
layout?: Layout;
methodGET: boolean;
noSubmitButton?: boolean;
onChange?: string;
onSubmit?: string;
pk_name?: string;
req: any;
splitPaste?: boolean;
submitButtonClass?: string;
submitLabel?: string;
tabs?: any;
values: any;
viewname?: string;
xhrSubmit: boolean;
}

#### Implemented by

- Form

- Defined in model-abstracts/abstract_form.ts:11

##### Index

### Properties

__?
action?
additionalButtons?
blurb?
class?
errors
fields
formStyle
id?
isOwner?
isWorkflow?
labelCols?
layout?
methodGET
noSubmitButton?
onChange?
onSubmit?
pk_name?
req
splitPaste?
submitButtonClass?
submitLabel?
tabs?
values
viewname?
xhrSubmit

## Properties

### `Optional`__

__?: any

- Defined in model-abstracts/abstract_form.ts:35

### `Optional` action

action?: string

- Defined in model-abstracts/abstract_form.ts:15

### `Optional` additionalButtons

additionalButtons?: AdditionalButton[]

- Defined in model-abstracts/abstract_form.ts:27

### `Optional` blurb

blurb?: string | string[]

- Defined in model-abstracts/abstract_form.ts:23

### `Optional` class

class?: string

- Defined in model-abstracts/abstract_form.ts:21

### errors

errors: any

- Defined in model-abstracts/abstract_form.ts:13

### fields

fields: (AbstractField | AbstractFieldRepeat)[]

- Defined in model-abstracts/abstract_form.ts:12

### formStyle

formStyle: string

- Defined in model-abstracts/abstract_form.ts:20

### `Optional` id

id?: string

- Defined in model-abstracts/abstract_form.ts:18

### `Optional` isOwner

isOwner?: boolean

- Defined in model-abstracts/abstract_form.ts:31

### `Optional` isWorkflow

isWorkflow?: boolean

- Defined in model-abstracts/abstract_form.ts:36

### `Optional` labelCols

labelCols?: number

- Defined in model-abstracts/abstract_form.ts:19

### `Optional` layout

layout?: Layout

- Defined in model-abstracts/abstract_form.ts:17

### methodGET

methodGET: boolean

- Defined in model-abstracts/abstract_form.ts:22

### `Optional` noSubmitButton

noSubmitButton?: boolean

- Defined in model-abstracts/abstract_form.ts:26

### `Optional` onChange

onChange?: string

- Defined in model-abstracts/abstract_form.ts:28

### `Optional` onSubmit

onSubmit?: string

- Defined in model-abstracts/abstract_form.ts:32

### `Optional` pk_name

pk_name?: string

- Defined in model-abstracts/abstract_form.ts:37

### req

req: any

- Defined in model-abstracts/abstract_form.ts:34

### `Optional` splitPaste

splitPaste?: boolean

- Defined in model-abstracts/abstract_form.ts:30

### `Optional` submitButtonClass

submitButtonClass?: string

- Defined in model-abstracts/abstract_form.ts:25

### `Optional` submitLabel

submitLabel?: string

- Defined in model-abstracts/abstract_form.ts:24

### `Optional` tabs

tabs?: any

- Defined in model-abstracts/abstract_form.ts:33

### values

values: any

- Defined in model-abstracts/abstract_form.ts:14

### `Optional` viewname

viewname?: string

- Defined in model-abstracts/abstract_form.ts:16

### xhrSubmit

xhrSubmit: boolean

- Defined in model-abstracts/abstract_form.ts:29